<?php
    /*
    * @version      1.0.0 07.12.2015
    * @author       MAXXmarketing GmbH
    * @package      addon_second_short_description_for_product
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');

    class plgJshoppingProductsSecond_short_description_for_product extends JPlugin {
        
        private $_params,
                $_separator = "{second_short_description}";
        
        public function __construct(&$subject, $config) {
            parent::__construct($subject, $config);
            
            $addon = JTable::getInstance('addon', 'jshop');
            $addon->loadAlias('second_short_description_for_product');
            $this->_params = (object) $addon->getParams();
        }
		
        public function onBeforeDisplayProductList(&$products) {
            //if( isset($this->_params->state_list) && $this->_params->state_list == 0 ) return;
            
            $db = JFactory::getDbo();
            $descr_varname = JSFactory::getLang()->get('short_description');
            $output_position_list = empty($this->_params->output_position_list) ? '_tmp_var_top_buttons' : $this->_params->output_position_list;
            foreach($products as $product) {
                $query = $db->getQuery(true)
                        ->select( $db->qn($descr_varname) )
                        ->from('#__jshopping_products')
                        ->where('product_id = ' . intval($product->product_id));
                $db->setQuery($query);
                $prod_description = $db->loadResult();
                $tmp = explode($this->_separator, $prod_description);
                if( isset($this->_params->state_list) && $this->_params->state_list == 0 ) {
                    $product->short_description = $tmp[0]; return;
                }
                if( isset($tmp[1]) ) {
                    $product->short_description = $tmp[0];
                    if( empty($product->$output_position_list) ) $product->$output_position_list = '';
                    $product->$output_position_list .= '<div class="second_short_description">' . $tmp[1] . '</div>';                   
                }
            }
        }    
		
        public function onBeforeDisplayProduct(&$product, &$view, &$product_images, &$product_videos, &$product_demofiles) {
            $descr_varname = JSFactory::getLang()->get('short_description');
            $tmp = explode($this->_separator, $product->$descr_varname);
            if (isset($tmp[1])) {
				if ($product->description == $product->$descr_varname) {
                    $product->description = \JHTML::_("content.prepare", $tmp[0]);
                }
                if (isset($this->_params->state_prod) && $this->_params->state_prod == 0) return;                
                $output_position_prod = empty($this->_params->output_position_prod) ? '_tmp_product_html_before_atributes' : $this->_params->output_position_prod;
                if (empty($view->$output_position_prod) ) $view->$output_position_prod = '';
                $view->$output_position_prod .= '<div class="second_short_description">' . \JHTML::_("content.prepare", $tmp[1]) . '</div>';
            }
        }

    }